%define _requires_exceptions devel\(libnss3.*\)\\|devel\(libnspr4.*\)\\|devel\(libsmime3.*\)

%define	major_glib	2
%define major_glib_vpn	1
%define major_util	1
%define libnm_glib		%mklibname nm-glib %{major_glib}
%define libnm_glib_devel	%mklibname -d nm-glib
%define libnm_glib_vpn		%mklibname nm-glib-vpn %{major_glib_vpn}
%define libnm_glib_vpn_devel	%mklibname -d nm-glib-vpn
%define libnm_util		%mklibname nm-util %{major_util}
%define libnm_util_devel	%mklibname -d nm-util

%define snapshot 0

%define	rname	NetworkManager
Name:		networkmanager
Summary:	Network connection manager and user applications
Version:	0.8
%if %{snapshot}
Release:	%mkrel 0.%{snapshot}.1
%else
Release:        %mkrel 3
%endif
Group:		System/Base
License:	GPLv2+
URL:		http://www.gnome.org/projects/NetworkManager/
%if %snapshot
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/0.7/%{rname}-%{version}.%{snapshot}.tar.xz
%else
Source0:        http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/0.7/%{rname}-%{version}.tar.bz2
%endif
Source1:	README.urpmi
# This patch is build from GIT at git://git.mandriva.com/projects/networkmanager.git
# DO NOT CHANGE IT MANUALLY.
# To generate patch use
#	git diff master..mdv
# Current mdv tip: d3cbbce
Patch1:		networkmanager-mdv.patch
# Fedora patches
Patch2:		explain-dns1-dns2.patch
# (fhimpe) Make it use correct location for dhclient lease files
BuildRequires:	libnl-devel wpa_supplicant libiw-devel dbus-glib-devel
BuildRequires:	hal-devel >= 0.5.0 nss-devel intltool
BuildRequires:	gtk-doc ext2fs-devel
BuildRequires:	ppp-devel polkit-1-devel 
BuildRequires:	libuuid-devel
BuildRequires:	libgudev-devel
BuildRequires:	dhcp-client
BuildRequires:	iptables
Requires:	wpa_supplicant wireless-tools dhcp-client
Requires:	mobile-broadband-provider-info
Requires:	modemmanager
Requires:	dhcp-client
Requires:	dnsmasq-base
Requires:	ppp = %(rpm -q --queryformat "%{VERSION}" ppp )
Requires:	iproute2
Requires:	iptables
Provides:	NetworkManager = %{version}-%{release}
Obsoletes:	dhcdbd
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Conflicts:	%{_lib}nm_util1 < 0.7.996
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
NetworkManager attempts to keep an active network connection available at all
times.  It is intended only for the desktop use-case, and is not intended for
usage on servers.   The point of NetworkManager is to make networking
configuration and setup as painless and automatic as possible.  If using DHCP,
NetworkManager is _intended_ to replace default routes, obtain IP addresses
from a DHCP server, and change nameservers whenever it sees fit.

%package -n	%{libnm_util}
Summary:	Shared library for nm_util
Group:		System/Libraries
Obsoletes:	%{mklibname networkmanager-util 0}
Obsoletes:	%{_lib}nm_util1 < 0.7.996
Provides:	%{_lib}nm_util1 = %{version}-%{release}

%description -n %{libnm_util}
Shared library for nm-util.

%package -n	%{libnm_util_devel}
Summary:	Development files for nm_util
Group:		Development/C
Obsoletes:	%{mklibname networkmanager-util 0 -d}
Provides:	libnm-util-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	NetworkManager-devel = %{version}-%{release}
Requires:	%{libnm_util} = %version-%release
Obsoletes:	%{_lib}nm_util-devel < 0.7.996

%description -n %{libnm_util_devel}
Development files for nm-util.

%package -n	%{libnm_glib}
Summary:	Shared library for nm_glib
Group:		System/Libraries
Obsoletes:	%{mklibname networkmanager-glib 0}

%description -n	%{libnm_glib}
This package contains the libraries that make it easier to use some
NetworkManager functionality from applications that use glib.

%package -n	%{libnm_glib_devel}
Summary:	Development files for nm_glib
Group:		Development/C
Provides:	libnm-glib-devel = %{version}-%{release}
Provides:       NetworkManager-glib-devel = %{version}-%{release}
Obsoletes:	%{mklibname networkmanager-glib 0 -d}
Requires:	%{libnm_glib} = %version-%release
Obsoletes:	%{_lib}nm_glib-devel < 0.7.996

%description -n %{libnm_glib_devel}
Development files for nm-glib.

%package -n	%{libnm_glib_vpn}
Summary:	Shared library for nm-glib-vpn
Group:		System/Libraries
Conflicts:	%{_lib}nm-glib1 < 0.7.996

%description -n	%{libnm_glib_vpn}
This package contains the libraries that make it easier to use some
NetworkManager VPN functionality from applications that use glib.

%package -n	%{libnm_glib_vpn_devel}
Summary:	Development files for nm-glib-vpn
Group:		Development/C
Provides:	libnm-glib-vpn-devel = %{version}-%{release}
Requires:	%{libnm_glib_vpn} = %version-%release
Conflicts:	%{_lib}nm_glib-devel < 0.7.996

%description -n %{libnm_glib_vpn_devel}
Development files for nm-glib-vpn.

%prep
%setup -q -n %{rname}-%{version}
%patch1 -p1 -b .networkmanager-mdv
%patch2 -p1 -b .explain-dns1-dns2

%build

autoreconf -fis
%configure2_5x	--disable-static \
		--with-distro=mandriva \
		--with-dhcp-client=dhclient \
		--with-crypto=nss \
		--enable-more-warnings=yes \
		--with-docs=yes \
		--with-system-ca-path=/etc/pki/tls/certs \
		--with-resolvconf=yes \
		--with-tests=yes

%make

%install
rm -rf %{buildroot}
%makeinstall_std

cat > %{buildroot}%{_sysconfdir}/NetworkManager/nm-system-settings.conf << EOF
[main]
plugins=ifcfg-mdv
EOF

# create a VPN directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/VPN
install -m755 test/.libs/nm-online -D %{buildroot}%{_bindir}/nm-online

# create keyfile plugin system-settings directory
install -d %{buildroot}%{_sysconfdir}/%{rname}/system-connections

# Add readme displayed by urpmi
cp %{SOURCE1} .

%find_lang %{rname}

find %{buildroot} -name \*.la|xargs rm -f

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{rname}.lang
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTING ChangeLog NEWS README TODO
%doc README.urpmi
%{_sysconfdir}/dbus-1/system.d/NetworkManager.conf
%{_sysconfdir}/dbus-1/system.d/nm-avahi-autoipd.conf
%{_sysconfdir}/dbus-1/system.d/nm-dhcp-client.conf
%{_sysconfdir}/dbus-1/system.d/nm-dispatcher.conf
%{_sysconfdir}/dbus-1/system.d/nm-ifcfg-rh.conf
%{_initrddir}/%{name}
#%{_initrddir}/%{rname}dispatcher
%dir %{_sysconfdir}/%{rname}
%config(noreplace) %{_sysconfdir}/%{rname}/nm-system-settings.conf
%{_sbindir}/%{rname}
#%{_sbindir}/%{rname}Dispatcher
%dir %{_sysconfdir}/%{rname}
%dir %{_sysconfdir}/%{rname}/dispatcher.d
%dir %{_sysconfdir}/%{rname}/system-connections
%dir %{_sysconfdir}/NetworkManager/VPN
%{_bindir}/nm-tool
%{_bindir}/nm-online
%{_libdir}/nm-dispatcher.action
%{_libexecdir}/nm-dhcp-client.action
%{_libexecdir}/nm-avahi-autoipd.action
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%dir %{_libdir}/NetworkManager
%{_libdir}/NetworkManager/*.so
%{_libdir}/pppd/*.*.*/nm-pppd-plugin.so
%dir %{_localstatedir}/run/%{rname}
%{_libexecdir}/nm-crash-logger
%dir %{_datadir}/%{rname}
%{_datadir}/%{rname}/gdb-cmd
%{_datadir}/dbus-1/system-services/org.freedesktop.nm_dispatcher.service
%{_datadir}/polkit-1/actions/org.freedesktop.network-manager-settings.system.policy
%{_datadir}/gtk-doc/html/*
/lib/udev/rules.d/*.rules

%files -n %{libnm_util}
%defattr(-,root,root)
%{_libdir}/libnm-util.so.%{major_util}*

%files -n %{libnm_util_devel}
%defattr(-,root,root)
%dir %{_includedir}/%{rname}
%{_includedir}/%{rname}/*.h
%{_libdir}/pkgconfig/%{rname}.pc
%{_libdir}/pkgconfig/libnm-util.pc
%{_libdir}/libnm-util.so

%files -n %{libnm_glib}
%defattr(-,root,root)
%{_libdir}/libnm-glib.so.%{major_glib}*

%files -n %{libnm_glib_vpn}
%defattr(-,root,root)
%{_libdir}/libnm-glib-vpn.so.%{major_glib_vpn}*

%files -n %{libnm_glib_devel}
%defattr(-,root,root)
%dir %{_includedir}/libnm-glib
%exclude %{_includedir}/libnm-glib/nm-vpn*.h
%{_includedir}/libnm-glib/*.h
%{_libdir}/pkgconfig/libnm-glib.pc
%{_libdir}/libnm-glib.so

%files -n %{libnm_glib_vpn_devel}
%defattr(-,root,root)
%{_includedir}/libnm-glib/nm-vpn*.h
%{_libdir}/pkgconfig/libnm-glib-vpn.pc
%{_libdir}/libnm-glib-vpn.so



%changelog
* Mon Mar 01 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-3mdv2010.1
+ Revision: 513074
- update patch1 - support WPA2/EAP wireless security; no wireless.d yet

* Fri Feb 26 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.8-2mdv2010.1
+ Revision: 511440
- rebuild due to stuck package
- update patch0 - support for editing system connections (wired, WEP and WPA-PSK for now)
- new version

* Thu Feb 18 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-4mdv2010.1
+ Revision: 507449
- add README.urpmi
- update patch1
  add comment to spec to decsribe GIT usage and commit used to generate patch
- mark nm-system-settings.conf as %%config(noreplace)
- install directory for keyfile system-settings plugin

* Sun Feb 14 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.999-3mdv2010.1
+ Revision: 505900
- patch1: really add ifcfg-mdv and set it as default

* Mon Feb 08 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.7.999-2mdv2010.1
+ Revision: 502447
- Forgot to increase mkrel
- rebuild
- Added experimental patch from Eugeni to add support for a Mandriva backend.

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix summary and provides of libnm-glib-vpn-devel

* Fri Jan 22 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.999-1mdv2010.1
+ Revision: 495115
- Update to new version 0.7.999

* Fri Jan 01 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20100101.1mdv2010.1
+ Revision: 484900
- Update to new snapshot, build for new ppp

* Tue Nov 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091117.1mdv2010.1
+ Revision: 467052
- Update to new git snapshot
- Remove two patches integrated upstream

* Sun Nov 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.4mdv2010.1
+ Revision: 466263
- Add patch to make it use /var/lib/dhcp for the dhclient lease files

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.3mdv2010.1
+ Revision: 465515
- Fix libnm-glib-vpn-devel provides

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.2mdv2010.1
+ Revision: 465473
- Fix upgrade from previous versions

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.996-0.git20091021.1mdv2010.1
+ Revision: 465463
- Fix Requires and BuildRequires
- Sync with Fedora 12:
  * Use new 07.996 snapshot
  * Add 2 Fedora patches
  * New Requires
- Underscores in library names have been replaces by dashes
- move libnm-glib-vpn to separate subpackage because it has a
  different major now
- Install nm-system-settings.conf to the default location, in order
  to not having to patch networkmanager
- Fix libnm-util libification by moving nm-ppd-plugin.so to
  networkmanager package

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-3mdv2010.0
+ Revision: 409343
- Updated buildrequires for libuuid.

* Tue Jun 09 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.7.1-2mdv2010.0
+ Revision: 384191
- Updated to 0.7.1

* Mon Mar 30 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-2mdv2009.1
+ Revision: 362254
- Fix bug 46945
- Fix bug 46945

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.7.0.99-1mdv2009.1
+ Revision: 349737
- New upstream release

* Mon Dec 01 2008 Funda Wang <fwang@mandriva.org> 0.7.0-3mdv2009.1
+ Revision: 308692
- really fix bug#46095

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-2mdv2009.1
+ Revision: 308479
- add more virtaul provides
- with-mdns-provider not recognized

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2009.1
+ Revision: 308360
- 0.7.0 final

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.3mdv2009.0
+ Revision: 242459
- remove comment as well
- move autoreconf call to prep stage
- fix deps exceptions for 64 bit
- remove unused configure options
- update build deps

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-0.3675.2mdv2009.0
+ Revision: 242329
- add missing deps

* Wed Jun 18 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7.0-0.3675.1mdv2009.0
+ Revision: 225776
- Changed a little bit the versionin scheme to enable use subversioning.
- Added the devel requires exceptions to allows installation of devel packages

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.5.svn3675mdv2009.0
+ Revision: 217721
- add buildroot
- revert previous changes that broke a lot of stuff
  * some cleanups and updating..

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.2mdv2009.0
+ Revision: 209082
- fix typo in Obsoletes tags

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1:0.7.0-0.9.3.svn3669.1mdv2009.0
+ Revision: 208864
- enable epoch
- sync with 0.7.0-0.9.3.svn3669.fc10
- change lib package names to match library names

* Tue Mar 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.4mdv2008.1
+ Revision: 188564
- d'oh, remove dhcdb from buildrequires
- new svn snapshot
- update mandriva backend (P2)
- build fedora nm-system-settings plugin
- enable avahi for mdns (fixes crash with NetworkManager due to no mdns)
- this release actually works :p

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 0.7.0-0.3mdv2008.1
+ Revision: 177393
- obsolete dhcdbd (obsoleted by NM >= 0.7.0)

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Fri Feb 08 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.2mdv2008.1
+ Revision: 164291
- fix problems with conflicts of -devel packages reported by blino

* Thu Feb 07 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.7.0-0.1mdv2008.1
+ Revision: 163655
- fix buildrequires
- New release: 0.7.0'ish (from svn, grabbed from suse)
- sync patches (P0 & P1) and much of structure with Fedora
- add Mandriva backend (P2)
- split out nm-applet
- cleanups

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-5mdv2007.0
+ Revision: 121928
- fix buildrequires
- patch2 fix compil with latest dbus

* Fri Sep 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-4mdv2007.0
- Add BuildRequire

* Sat Aug 05 2006 Olivier Blin <blino@mandriva.com> 0.6.4-3mdv2007.0
- Patch1: fix build for new dbus
- add libiw-devel BuildRequires and wireless-tools Requires

* Thu Jul 20 2006 Olivier Blin <blino@mandriva.com> 0.6.4-2mdv2007.0
- update icon cache

* Wed Jul 19 2006 Olivier Blin <blino@mandriva.com> 0.6.4-1mdv2007.0
- initial Mandriva release
- Patch0: fake include of <linux/if.h>

